
```
sudo apt-get install ros-<版本号>-serial

mkidr -p catkin_ws/src
cd catkin_ws/src
catkin_init_workspace
git clone https://gitlab.com/ros_project/serial_port.git

```

```
socat -d -d pty,raw,echo=0 pty,raw,echo=0
```

* [参考](https://blog.csdn.net/u014695839/article/details/81209082)
* [待验证](http://stevenshi.me/2017/05/17/ros-serial/)


